Bug 166689 - [UPDATE] chinese/fcitx and its addons to 4.2.2
Summary: [UPDATE] chinese/fcitx and its addons to 4.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-06 08:40 UTC by lichray
Modified: 2012-05-01 00:00 UTC (History)
0 users

See Also:


Attachments
fcitx_4.2.2_all_in_one.patch (17.10 KB, patch)
2012-04-26 21:57 UTC, lichray
no flags Details | Diff
tpunc-data_punc.mb.zh_CN (334 bytes, application/octet-stream)
2012-04-30 19:49 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-04-06 08:40:14 UTC
	
	The patch is here: https://gist.github.com/2317920

	1. Rename Fcitx IM server to IM framework;
	2. USE_XZ;
	3. Fix fcitx/files/tpunc-data_punc.mb.zh_CN - falsely encoded - should be utf-8 - reply me to get a complete version of this file if you still get the wrong encoding.
Comment 1 Michael Scheidell freebsd_committer 2012-04-15 22:28:00 UTC
Thank you for your pr submission and support of FreeBSD.

it is very important that patches be attached to the PR.
This is important for a lot of reasons, but the most important one is 
that we have an audit log of submissions.
A year down the road (or 1 month), and if someone wanted to see exactly 
what was submitted, and your link disappeared, we would not have that in 
the logs.

Can you update your pr and add an attachment to this pr?


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 2 lichray 2012-04-26 21:57:22 UTC
I see... But sometimes the patch is really long. Anyway, let me attach
one here. This one updates fcitx to 4.2.2. The gist address is not
changed.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 3 Michael Scheidell freebsd_committer 2012-04-29 22:25:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Thanks, I'll take it. (17K isn't all that big :-)
Comment 4 Michael Scheidell freebsd_committer 2012-04-29 22:50:46 UTC
won't apply.  mostly, since you don't have index markers, (which would 
make life easier)

../fcitx.orig/files/



diff -ruN --exclude=CVS ../fcitx.orig/files/tpunc-data_punc.mb.zh_CN 
./files/tpunc-data_punc.mb.zh_CN
|--- ../fcitx.orig/files/tpunc-data_punc.mb.zh_CN    2012-02-07 
14:57:07.000000000 -0600
|+++ ./files/tpunc-data_punc.mb.zh_CN    2012-03-05 09:22:52.759516303 -0600
--------------------------
File to patch: fcitx/files/tpunc-data_punc.mb.zh_CN
Patching file fcitx/files/tpunc-data_punc.mb.zh_CN using Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed--saving rejects to 
fcitx/files/tpunc-data_punc.mb.zh_CN.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:


Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN --exclude=CVS 
../fcitx-sunpinyin.orig/files/patch-cmake_FindSunpinyin.cmake 
./files/patch-cmake_FindSunpinyin.cmake
|--- ../fcitx-sunpinyin.orig/files/patch-cmake_FindSunpinyin.cmake    
1969-12-31 18:00:00.000000000 -0600
|+++ ./files/patch-cmake_FindSunpinyin.cmake    2012-04-06 
02:15:37.831513147 -0500
--------------------------
(Creating file patch-cmake_FindSunpinyin.cmake...)
Patching file patch-cmake_FindSunpinyin.cmake using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN --exclude=CVS ../fcitx-sunpinyin.orig/pkg-descr ./pkg-descr
|--- ../fcitx-sunpinyin.orig/pkg-descr    2011-11-11 09:47:42.000000000 
-0600
|+++ ./pkg-descr    2012-04-06 02:12:32.828651539 -0500
--------------------------
File to patch: fcitx-sunpinyin/pkg-descr
Patching file fcitx-sunpinyin/pkg-descr using Plan A...
Hunk #1 succeeded at 1 with fuzz 2.
done
%echo $?
1
-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 Michael Scheidell freebsd_committer 2012-04-30 08:11:10 UTC
On 4/29/12 5:50 PM, Michael Scheidell wrote:
> won't apply.  mostly, since you don't have index markers, (which would 
> make life easier)
>
> ../fcitx.orig/files/
>
maybe it's the chinese chars:  it looks like it didn't apply any of this 
part of the patch:


ls -lt tp*
-rw-r--r--  1 scheidell  scheidell   401 Apr 29 17:27 
tpunc-data_punc.mb.zh_CN
-rw-r--r--  1 scheidell  scheidell  1080 Apr 29 17:27 
tpunc-data_punc.mb.zh_CN.rej
-rw-r--r--  1 scheidell  scheidell   401 Feb  7 15:57 
tpunc-data_punc.mb.zh_CN.orig


%md5 tpunc-data_punc.mb.zh_CN*
MD5 (tpunc-data_punc.mb.zh_CN) = 800c3d8f7f115b900f13990c06ba5c6e
MD5 (tpunc-data_punc.mb.zh_CN.orig) = 800c3d8f7f115b900f13990c06ba5c6e

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 6 lichray 2012-04-30 19:49:04 UTC
So, let me send you this to you directly, to prevent it being
re-encoded by GNATS.

And there are two more PRs relates to fcitx. You can take them if you
have the time.

ports/166711: New port: japanese/fcitx-mozc - Mozc Japanese input
method for Fcitx
 - This one is mainly a patch to japanese/mozc-server + a slaver port.

ports/166716: New ports: chinese/fcitx-libpinyin & chinese/libpinyin
input methods
 - New engine + new input method plugin. I marked chinese/libpinyin as
"BROKEN" on FreeBSD 7. I think we'd better change it to "IGNORE".


-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 7 dfilter service freebsd_committer 2012-04-30 23:57:53 UTC
scheidell    2012-04-30 22:57:38 UTC

  FreeBSD ports repository

  Modified files:
    textproc/fcitx-keyboard Makefile distinfo 
    chinese/fcitx        Makefile distinfo pkg-descr pkg-plist 
    chinese/fcitx/files  tpunc-data_punc.mb.zh_CN 
    chinese/fcitx-cloudpinyin Makefile distinfo 
    chinese/fcitx-configtool Makefile distinfo pkg-descr 
    chinese/fcitx-googlepinyin Makefile distinfo pkg-descr 
    chinese/fcitx-googlepinyin/files patch-src_eim.cpp 
    chinese/fcitx-sunpinyin Makefile distinfo pkg-descr 
  Added files:
    chinese/fcitx-sunpinyin/files patch-cmake_FindSunpinyin.cmake 
  Removed files:
    chinese/fcitx-sunpinyin/files patch-CMakeLists.txt 
  Log:
  - Update chinese/fcitx-googlepinyin to 0.1.4
  - Update chinese/fcitx-configtool to 0.4.0
  - Update chinese/fcitx-cloudpinyin to 0.2.0
  - Update chinese/fcitx-sunpinyin to 0.3.3
  - Update chinese/fcitx to 4.2.2
  - Update textproc/fcitx-keyboard to 0.1.0
  
  PR:             ports/166689
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +2 -2      ports/chinese/fcitx-cloudpinyin/Makefile
  1.3       +2 -2      ports/chinese/fcitx-cloudpinyin/distinfo
  1.4       +3 -3      ports/chinese/fcitx-configtool/Makefile
  1.4       +2 -2      ports/chinese/fcitx-configtool/distinfo
  1.2       +1 -1      ports/chinese/fcitx-configtool/pkg-descr
  1.4       +2 -2      ports/chinese/fcitx-googlepinyin/Makefile
  1.4       +2 -2      ports/chinese/fcitx-googlepinyin/distinfo
  1.2       +11 -11    ports/chinese/fcitx-googlepinyin/files/patch-src_eim.cpp
  1.2       +1 -1      ports/chinese/fcitx-googlepinyin/pkg-descr
  1.4       +2 -2      ports/chinese/fcitx-sunpinyin/Makefile
  1.4       +2 -2      ports/chinese/fcitx-sunpinyin/distinfo
  1.2       +0 -11     ports/chinese/fcitx-sunpinyin/files/patch-CMakeLists.txt (dead)
  1.1       +11 -0     ports/chinese/fcitx-sunpinyin/files/patch-cmake_FindSunpinyin.cmake (new)
  1.2       +1 -1      ports/chinese/fcitx-sunpinyin/pkg-descr
  1.42      +3 -3      ports/chinese/fcitx/Makefile
  1.25      +4 -4      ports/chinese/fcitx/distinfo
  1.2       +20 -20    ports/chinese/fcitx/files/tpunc-data_punc.mb.zh_CN
  1.5       +2 -5      ports/chinese/fcitx/pkg-descr
  1.19      +31 -9     ports/chinese/fcitx/pkg-plist
  1.3       +2 -2      ports/textproc/fcitx-keyboard/Makefile
  1.2       +2 -2      ports/textproc/fcitx-keyboard/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Michael Scheidell freebsd_committer 2012-04-30 23:58:24 UTC
State Changed
From-To: open->closed

Committed, Thanks.